# $Revision: 1.31 $, $Date: 2011/04/29 10:21:04 $
# TODO:
#  - do something with *.rdf file, there is file conflict with other lang packages
Summary:	Language packs for Icedove
Name:		icedove-languages
Version:	3.1.10
Release:	1
License:	GPL
Group:		I18n
Source0:	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}/linux-i686/xpi/pl.xpi
# Source0-md5:	119c085d826225d42a962a33b8ec7f4e
Source1:	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}/linux-i686/xpi/et.xpi
# Source1-md5:	443f93dd397dfcd87368a054647c7aff
URL:		http://www.pld-linux.org/Packages/Icedove
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	zip
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		icedovedir		%{_datadir}/icedove
%define		chromedir		%{icedovedir}/chrome

%description
Language packs for Icedove.

%package -n icedove-lang-et
Summary:	Estonian resources for Icedove
Group:		I18n
Requires:	icedove >= %{version}
Provides:	icedove-lang-resources = %{version}

%description -n icedove-lang-et
Estonian resources for Icedove.

%package -n icedove-lang-pl
Summary:	Polish resources for Icedove
Summary(pl.UTF-8):	Polskie pliki językowe dla Icedove
Group:		I18n
URL:		http://www.thunderbird.pl/
Requires:	icedove >= %{version}
Provides:	icedove-lang-resources = %{version}
Obsoletes:	mozilla-thunderbird-lang-pl

%description -n icedove-lang-pl
Polish resources for Icedove.

%description -n icedove-lang-pl -l pl.UTF-8
Polskie pliki językowe dla Icedove.

%prep
unpack() {
    local args="$1" file="$2"
	local lang=$(basename $file .xpi)
	%{__unzip} $args -d $lang $file

	locale=$(awk -vl=$lang '$1 == l{print $2}' %{_builddir}/locales.txt)
	cd $lang
	install -d defaults/profile
	sed -i -e "s@chrome/$lang@$locale@" chrome.manifest
	[ $lang = $locale ] || mv chrome/$lang.jar chrome/$locale.jar
	mv chrome.manifest chrome/$locale.manifest
	mv install.rdf defaults/profile

	# rebrand locale for Icedove
	cd chrome
	%{__unzip} -q $locale.jar locale/$lang/branding/brand.dtd locale/$lang/branding/brand.properties \
		locale/$lang/messenger/aboutDialog.dtd \
		locale/$lang/messenger-newsblog/newsblog.properties

	%{__sed} -i -e 's/Mozilla Thunderbird/Icedove/g; s/Thunderbird/Icedove/g;' \
		locale/$lang/branding/brand.dtd locale/$lang/branding/brand.properties
	%{__sed} -i -e 's/Thunderbird/Icedove/g;' locale/$lang/messenger-newsblog/newsblog.properties

	grep -e '\<ENTITY' locale/$lang/messenger/aboutDialog.dtd \
		> locale/$lang/messenger/aboutDialog.dtd.new
	%{__sed} -i -e '/copyrightText/s/^\(.*\)\..*Thunderbird.*/\1\./g; s/\r//g; /copyrightText/s/$/" >/g;' \
		locale/$lang/messenger/aboutDialog.dtd.new
	mv -f locale/$lang/messenger/aboutDialog.dtd.new locale/$lang/messenger/aboutDialog.dtd

	zip -q0 $locale.jar locale/$lang/branding/brand.dtd locale/$lang/branding/brand.properties \
		locale/$lang/messenger/aboutDialog.dtd \
		locale/$lang/messenger-newsblog/newsblog.properties

	%{__rm} -r locale
	cd ../..
}
%define __unzip unpack
# LANGUAGE LOCALE
cat <<'EOF' > locales.txt
et et-EE
pl pl-PL
EOF
%setup -qcT -a0 -a1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{chromedir},%{icedovedir}/defaults/profile}
for a in */chrome; do
	cp -a $a/* $RPM_BUILD_ROOT%{chromedir}
done

# FIXME one language to dominate
cp -a pl/defaults/profile/*.rdf $RPM_BUILD_ROOT%{icedovedir}/defaults/profile

%clean
rm -rf $RPM_BUILD_ROOT

# NOTE:
# I wish i could use banner macro here, but it does not work with nesting well
%define post_banner() \
cat >&2 <<EOF\
NOTE:\
  To change your default useragent locale: \
  Open Icedove and go to Edit>Preferences>Advenced>General>Config Editor then \
  find "general.useragent.locale" and change value \
  to "%2" then restart Icedove. \
\
  Or install "Quick Locale Switcher" extension \
\
EOF\
%{nil}

%{nil}
%post -n icedove-lang-et
%post_banner et et-EE

%post -n icedove-lang-pl
%post_banner pl pl-PL

%files -n icedove-lang-et
%defattr(644,root,root,755)
%{chromedir}/et-EE.jar
%{chromedir}/et-EE.manifest

%files -n icedove-lang-pl
%defattr(644,root,root,755)
%{chromedir}/pl-PL.jar
%{chromedir}/pl-PL.manifest
#%{chromedir}/chromelist.txt
%{icedovedir}/defaults/profile/*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icedove-languages.spec,v $
Revision 1.31  2011/04/29 10:21:04  hawk
- updated to 3.1.10

Revision 1.30  2011/03/04 21:35:18  duddits
- 3.1.9

Revision 1.29  2011/03/01 20:36:18  duddits
- up to 3.1.8

Revision 1.28  2010/12/27 12:15:26  lisu
- 3.1.7
- use sed and rm macro

Revision 1.27  2010/12/08 22:11:25  glen
- add post banner and macroize it

Revision 1.26  2010/12/08 22:02:05  glen
- add Estonian languagepack

Revision 1.25  2010/10/28 16:36:03  hawk
- updated to 3.1.6

Revision 1.24  2010/10/24 20:07:39  hawk
- updated to 3.1.5

Revision 1.23  2010/09/27 09:43:44  lisu
- updated to 3.1.4

Revision 1.22  2010/09/23 11:44:07  glen
- macro

Revision 1.21  2010/09/23 11:37:17  lisu
- up to 3.1.3

Revision 1.20  2010/06/18 09:30:07  duddits
- up to 3.0.5

Revision 1.19  2010/03/31 13:34:11  glen
- debug off

Revision 1.18  2010/03/31 13:31:23  glen
- superpackage for all languages (pl currently only) for icedove languages
  based on earlier iceweasel-languages.spec work

Revision 1.17  2010/03/31 11:31:48  duddits
- up to 3.0.4

Revision 1.16  2010/03/02 11:06:02  duddits
- up to 3.0.3

Revision 1.15  2010/02/26 11:29:08  duddits
- up to 3.0.2

Revision 1.14  2010/02/16 13:05:51  duddits
- rel. 2, fix build

Revision 1.13  2010/02/16 11:42:23  duddits
- up to 3.0.1

Revision 1.12  2009/08/20 19:02:09  duddits
- up to 2.0.0.23

Revision 1.11  2009/06/23 13:48:18  duddits
- up to 2.0.0.22

Revision 1.10  2009/03/19 07:44:44  duddits
- up to 2.0.0.21

Revision 1.9  2008/12/31 16:13:36  duddits
- up to 2.0.0.19

Revision 1.8  2008/12/27 18:50:30  dzeus
- up to 2.0.0.18

Revision 1.7  2008/09/29 14:25:52  duddits
- up to 2.0.0.17

Revision 1.6  2008/09/06 11:38:18  hawk
- updated to 2.0.0.16

Revision 1.5  2008/08/10 21:15:38  paszczus
- release 4

Revision 1.4  2008/08/10 20:19:44  paszczus
- added info about setting pl lang

Revision 1.3  2008/06/26 19:30:02  hawk
- O: for mozilla-thunderbird-lang

Revision 1.2  2008/06/26 11:42:50  hawk
- small fix, release 2

Revision 1.1  2008/06/26 10:32:25  hawk
- language pack for Icedove
